Bug 1546790 - python-Pyped: python3-Pyped requires both Python 2 and Python 3 / nonresponsive maintainer
Summary: python-Pyped: python3-Pyped requires both Python 2 and Python 3 / nonresponsi...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-Pyped
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: René Ribaud
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-02-19 15:47 UTC by Iryna Shcherbina
Modified: 2019-04-06 20:18 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-06 19:21:42 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2018-02-19 15:47:56 UTC
The python3-Pyped (1.4-8.fc28) RPM requires both Python 2 and Python 3:

$  dnf --disablerepo=* --enablerepo=rawhide repoquery --requires python3-Pyped | grep python
/usr/bin/python2
/usr/bin/python3
python(abi) = 3.6
...

This happened due to recently introduced shebangs mangling [0], and you might see the warnings in the build log:

> + /usr/lib/rpm/redhat/brp-mangle-shebangs
> *** WARNING: mangling shebang in ./usr/lib/python3.6/site-packages/pyped.py from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!

The executable contains `#!/usr/bin/env python` shebang, which is forbidden by the guidelines and is automatically mangled to `#!/usr/bin/python2` during build. Please fix the shebang to be `#!/usr/bin/python3` explicitly [1] or remove the executable bit from the above file if not needed.

If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!

[0] https://pagure.io/packaging-committee/issue/738#comment-490366
[1] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#fixing-shebangs

Comment 1 Fedora End Of Life 2018-02-20 15:37:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Jan Beran 2018-03-19 14:47:24 UTC
Hello René,

I have created a PR that fixes the problem:

https://src.fedoraproject.org/rpms/python-Pyped/pull-request/2

May I ask you to review and rebuild the package?

Comment 3 Miro Hrončok 2019-03-17 21:51:47 UTC
René, are you responsive?

Comment 4 Miro Hrončok 2019-03-27 10:18:06 UTC
Consider this a nonresponsive maintainer bug.

https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

Please respond.

Comment 5 René Ribaud 2019-03-27 23:31:57 UTC
Hello Miro,

Thanks for the notification.
My apologize for the slow response. I will take care of it ASAP.
I guess I could fix it quickly.

Comment 6 René Ribaud 2019-03-28 00:43:27 UTC
Package F31, F30, F29, F28 built, I will request bodhi asap. 
Thanks to Jan Beran who submitted the fix above.
Sorry again, I missed this bug report. :(

Hope it will be ok now.

Comment 7 Fedora Update System 2019-03-28 00:49:55 UTC
python-Pyped-1.4-13.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-749e83c195

Comment 8 Fedora Update System 2019-03-28 00:50:04 UTC
python-Pyped-1.4-13.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b1ce7e95ba

Comment 9 Fedora Update System 2019-03-28 00:50:14 UTC
python-Pyped-1.4-13.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-05bc46b8e7

Comment 10 Fedora Update System 2019-03-29 00:12:37 UTC
python-Pyped-1.4-13.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-749e83c195

Comment 11 Fedora Update System 2019-03-29 03:05:30 UTC
python-Pyped-1.4-13.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b1ce7e95ba

Comment 12 Fedora Update System 2019-03-29 04:15:45 UTC
python-Pyped-1.4-13.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-05bc46b8e7

Comment 13 Fedora Update System 2019-04-06 19:21:42 UTC
python-Pyped-1.4-13.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-04-06 19:43:11 UTC
python-Pyped-1.4-13.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-04-06 20:18:46 UTC
python-Pyped-1.4-13.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.